package agentid

import "encoding/json"

type AgentRecord struct {
    AssignedID uint16 `json:"assigned_id"`
    HostHash   string `json:"hash"`
    Model      string `json:"model"`
    Hostname   string `json:"hostname"`
    MAC        string `json:"mac"`
    GPUInfo    string `json:"gpu_info"`
}

func (ar *AgentRecord) ToJSON() ([]byte, error) {
    return json.Marshal(ar)
}

func FromJSON(data []byte) (*AgentRecord, error) {
    var ar AgentRecord
    if err := json.Unmarshal(data, &ar); err != nil {
        return nil, err
    }
    return &ar, nil
}
